Bug 245203 - FEATURE: need way to set guest clock to localtime instead of utc
FEATURE: need way to set guest clock to localtime instead of utc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 244786 349821
  Show dependency treegraph
 
Reported: 2007-06-21 12:29 EDT by Daniel Berrange
Modified: 2008-01-15 19:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 19:16:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2007-06-21 12:29:49 EDT
Description of problem:
All guests booted with libvirt have their clock synced to UTC. Both Xen and
KVM/QEMU provide a way to specify that a guest is instead sycned to localtime.
Windows has braindead handling of timezones, so typically requires use of
localtime in its emulated clock source. So we need to have some kind of element
in the XML description for a guest to specify  UTC vs localtime for the guest
clock source.

Version-Release number of selected component (if applicable):
0.2.3

How reproducible:
Always

Steps to Reproduce:
1. N/a
2.
3.
  
Actual results:


Expected results:


Additional info:
In QEMU, this is done by add  --localtime to command line used to start guest.
In Xen this is done by adding  localtime=1  to the guest config / SEXPR.
Comment 1 Daniel Berrange 2007-06-21 13:14:36 EDT
Opps, got bug dependancy the wrong way around...
Comment 2 Daniel Berrange 2007-07-23 16:01:49 EDT
Patch included upstream. Will be in next release.
Comment 3 Daniel Berrange 2008-01-15 19:16:38 EST
This hit F7 updates quite a while ago now...

Note You need to log in before you can comment on or make changes to this bug.